## Creating a service or VM

### Service

- have kustomized manifests
- creates IPv6 only, probably certificate enabled service
- external (???) proxy
  - internal: could have a mapped IPv4 address
- pvc for storage
 - rbd vs cephfs decision in general + per use case

### External/other DNS

- needs to be pointed to the service IP
- kustomized manifests need to be updated/annotated ("also this
  domain")

## Kubernetes services

### Flux

Get the flux binary, run:

```
flux check --pre
```

Fix any problems, then continue.

https://code.ungleich.ch/ungleich-intern/k8s-config

## Service List

### DNS servers

- bind / knot
- authoritatitve
- files in cephfs?
- IPv4 from outside (jool)?

### Matrix

### Django

- moving sample site(s)
- f.i. ula registry

### Etherpad

- cephfs based pvc

### wireguard

- via mapped IPv4 for outside
- via routing -- might be able to includ bird (?)
- network mapping in kustomize, later netbox api?
- peers in configmap (?)

### Nextcloud

- pvc -> cephfs, s3, rbd?
  - need to test resize

### IPv4

- can we use a crd/operator for this?
- Jool inside cluster
- Routed /24 or similar
- Distribution based on label(s) to pods/services
- Maybe using an ingress (+IPv4)

## Clusters

- Distributed over places?
